Update an interview
This endpoint updates an existing interview by ID.
curl --request PUT \
--url https://public.api.micro1.ai/interview/{interviewId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"interview_name": "Full Stack Engineer Interview",
"skills": [
{
"name": "React",
"description": "Must be proficient in React Context API"
}
],
"custom_question_list": [
{
"question": "What are your strengths and weaknesses?",
"time": 2,
"type": "audio"
}
],
"interview_language": "en",
"can_change_interview_language": false,
"only_coding_round": false,
"is_coding_round_required": false,
"selected_coding_language": "python",
"coding_exercise_details": "Make the DSA problem extremely difficult and focus on a problem that will require recursion to solve efficiently.",
"is_proctoring_required": true
}
'import requests
url = "https://public.api.micro1.ai/interview/{interviewId}"
payload = {
"interview_name": "Full Stack Engineer Interview",
"skills": [
{
"name": "React",
"description": "Must be proficient in React Context API"
}
],
"custom_question_list": [
{
"question": "What are your strengths and weaknesses?",
"time": 2,
"type": "audio"
}
],
"interview_language": "en",
"can_change_interview_language": False,
"only_coding_round": False,
"is_coding_round_required": False,
"selected_coding_language": "python",
"coding_exercise_details": "Make the DSA problem extremely difficult and focus on a problem that will require recursion to solve efficiently.",
"is_proctoring_required": True
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
interview_name: 'Full Stack Engineer Interview',
skills: [{name: 'React', description: 'Must be proficient in React Context API'}],
custom_question_list: [{question: 'What are your strengths and weaknesses?', time: 2, type: 'audio'}],
interview_language: 'en',
can_change_interview_language: false,
only_coding_round: false,
is_coding_round_required: false,
selected_coding_language: 'python',
coding_exercise_details: 'Make the DSA problem extremely difficult and focus on a problem that will require recursion to solve efficiently.',
is_proctoring_required: true
})
};
fetch('https://public.api.micro1.ai/interview/{interviewId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Interview updated successfully"
}{
"status": false,
"message": "Invalid request"
}{
"status": false
}Authorizations
API key to access the API
Path Parameters
ID of the interview to update
Body
Request body to update an interview
Request to update an interview
Name of the interview
"Full Stack Engineer Interview"
Required skills for the interview (max 10)
Show child attributes
Show child attributes
[
{
"name": "React",
"description": "Must be proficient in React Context API"
}
]
Custom questions for the interview (max 20)
Show child attributes
Show child attributes
[
{
"question": "What are your strengths and weaknesses?",
"time": 2,
"type": "audio"
}
]
The language in which the AI interview will be conducted
en, fr, de, he, hi, pt, es, es-la, tr, ja, sv, ar, pl, dk, kr, it, nl, cz, ua, ur, id, en-GB, es-MX, cn, zh-CN, zh-TW, zh-HK, ru, bn, ms, pt-BR, vi, tl, th, afb, pt-PT "en"
Whether the candidate can change the language
Whether the interview is a coding round only
Whether the coding round is required
The coding language for the coding round
"python"
Add more details to tailor the coding exercise (optional) - Note: The candidate won't be able to use outside libraries.
"Make the DSA problem extremely difficult and focus on a problem that will require recursion to solve efficiently."
Whether the proctoring is required
